## API Report File for "@uifabric/styling"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import { concatStyleSets } from '@uifabric/merge-styles';
import { concatStyleSetsWithProps } from '@uifabric/merge-styles';
import { fontFace } from '@uifabric/merge-styles';
import { ICSPSettings } from '@uifabric/merge-styles';
import { ICustomizerContext } from '@uifabric/utilities';
import { IFontFace } from '@uifabric/merge-styles';
import { IFontWeight } from '@uifabric/merge-styles';
import { InjectionMode } from '@uifabric/merge-styles';
import { IProcessedStyleSet } from '@uifabric/merge-styles';
import { IRawStyle } from '@uifabric/merge-styles';
import { IStyle } from '@uifabric/merge-styles';
import { IStyleSet } from '@uifabric/merge-styles';
import { IStyleSheetConfig } from '@uifabric/merge-styles';
import { keyframes } from '@uifabric/merge-styles';
import { mergeStyles } from '@uifabric/merge-styles';
import { mergeStyleSets } from '@uifabric/merge-styles';
import { Stylesheet } from '@uifabric/merge-styles';

// @public (undocumented)
export const AnimationClassNames: {
    [key in keyof IAnimationStyles]?: string;
};

// @public
export const AnimationStyles: IAnimationStyles;

// @public
export const AnimationVariables: IAnimationVariables;

// @public
export function buildClassMap<T extends Object>(styles: T): {
    [key in keyof T]?: string;
};

// Warning: (ae-forgotten-export) The symbol "IColorClassNames" needs to be exported by the entry point index.d.ts
//
// @public (undocumented)
export const ColorClassNames: IColorClassNames;

export { concatStyleSets }

export { concatStyleSetsWithProps }

// @public (undocumented)
export function createFontStyles(localeCode: string | null): IFontStyles;

// @public
export function createTheme(theme: IPartialTheme, depComments?: boolean): ITheme;

// @public (undocumented)
export const DefaultEffects: IEffects;

// @public (undocumented)
export const DefaultFontStyles: IFontStyles;

// @public (undocumented)
export const DefaultPalette: IPalette;

// @public (undocumented)
export const EdgeChromiumHighContrastSelector = "@media screen and (forced-colors: active)";

// @public
export function focusClear(): IRawStyle;

// @public (undocumented)
export const FontClassNames: {
    [key in keyof IFontStyles]?: string;
};

export { fontFace }

// @public (undocumented)
export namespace FontSizes {
    const // (undocumented)
    mini: string;
    const // (undocumented)
    xSmall: string;
    const // (undocumented)
    small: string;
    const // (undocumented)
    smallPlus: string;
    const // (undocumented)
    medium: string;
    const // (undocumented)
    mediumPlus: string;
    const // (undocumented)
    icon: string;
    const // (undocumented)
    large: string;
    const // (undocumented)
    xLarge: string;
    const // (undocumented)
    xLargePlus: string;
    const // (undocumented)
    xxLarge: string;
    const // (undocumented)
    xxLargePlus: string;
    const // (undocumented)
    superLarge: string;
    const // (undocumented)
    mega: string;
}

// @public (undocumented)
export namespace FontWeights {
    const // (undocumented)
    light: IFontWeight;
    const // (undocumented)
    semilight: IFontWeight;
    const // (undocumented)
    regular: IFontWeight;
    const // (undocumented)
    semibold: IFontWeight;
    const // (undocumented)
    bold: IFontWeight;
}

// @public
export function getEdgeChromiumNoHighContrastAdjustSelector(): {
    [EdgeChromiumHighContrastSelector]: IRawStyle;
};

// @public
export function getFadedOverflowStyle(theme: ITheme, color?: keyof ISemanticColors | keyof IPalette, direction?: 'horizontal' | 'vertical', width?: string | number, height?: string | number): IRawStyle;

// @public
export function getFocusOutlineStyle(theme: ITheme, inset?: number, width?: number, color?: string): IRawStyle;

// @public
export function getFocusStyle(theme: ITheme, options?: IGetFocusStylesOptions): IRawStyle;

// @public @deprecated
export function getFocusStyle(theme: ITheme, inset?: number, position?: 'relative' | 'absolute', highContrastStyle?: IRawStyle | undefined, borderColor?: string, outlineColor?: string, isFocusedOnly?: boolean): IRawStyle;

// @public
export function getGlobalClassNames<T>(classNames: GlobalClassNames<T>, theme: ITheme, disableGlobalClassNames?: boolean): GlobalClassNames<T>;

// @public
export function getIcon(name?: string): IIconRecord | undefined;

// @public
export function getIconClassName(name: string): string;

// @public
export const getInputFocusStyle: (borderColor: string, borderRadius: string | number, borderType?: "border" | "borderBottom", borderPosition?: number) => IRawStyle;

// @public
export function getPlaceholderStyles(styles: IStyle): IStyle;

// @public (undocumented)
export function getScreenSelector(min: number, max: number): string;

// @public
export function getTheme(depComments?: boolean): ITheme;

// Warning: (ae-internal-missing-underscore) The name "getThemedContext" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal
export function getThemedContext(context: ICustomizerContext, scheme?: ISchemeNames, theme?: ITheme): ICustomizerContext;

// @public (undocumented)
export type GlobalClassNames<IStyles> = Record<keyof IStyles, string>;

// @public (undocumented)
export const hiddenContentStyle: IRawStyle;

// @public (undocumented)
export const HighContrastSelector = "@media screen and (-ms-high-contrast: active)";

// @public (undocumented)
export const HighContrastSelectorBlack = "@media screen and (-ms-high-contrast: white-on-black)";

// @public (undocumented)
export const HighContrastSelectorWhite = "@media screen and (-ms-high-contrast: black-on-white)";

// @public
export interface IAnimationStyles {
    // (undocumented)
    fadeIn100: IRawStyle;
    // (undocumented)
    fadeIn200: IRawStyle;
    // (undocumented)
    fadeIn400: IRawStyle;
    // (undocumented)
    fadeIn500: IRawStyle;
    // (undocumented)
    fadeOut100: IRawStyle;
    // (undocumented)
    fadeOut200: IRawStyle;
    // (undocumented)
    fadeOut400: IRawStyle;
    // (undocumented)
    fadeOut500: IRawStyle;
    // (undocumented)
    rotate90deg: IRawStyle;
    // (undocumented)
    rotateN90deg: IRawStyle;
    // (undocumented)
    scaleDownIn100: IRawStyle;
    // (undocumented)
    scaleDownOut98: IRawStyle;
    // (undocumented)
    scaleUpIn100: IRawStyle;
    // (undocumented)
    scaleUpOut103: IRawStyle;
    // (undocumented)
    slideDownIn10: IRawStyle;
    // (undocumented)
    slideDownIn20: IRawStyle;
    // (undocumented)
    slideDownOut10: IRawStyle;
    // (undocumented)
    slideDownOut20: IRawStyle;
    // (undocumented)
    slideLeftIn10: IRawStyle;
    // (undocumented)
    slideLeftIn20: IRawStyle;
    // (undocumented)
    slideLeftIn40: IRawStyle;
    // (undocumented)
    slideLeftIn400: IRawStyle;
    // (undocumented)
    slideLeftOut10: IRawStyle;
    // (undocumented)
    slideLeftOut20: IRawStyle;
    // (undocumented)
    slideLeftOut40: IRawStyle;
    // (undocumented)
    slideLeftOut400: IRawStyle;
    // (undocumented)
    slideRightIn10: IRawStyle;
    // (undocumented)
    slideRightIn20: IRawStyle;
    // (undocumented)
    slideRightIn40: IRawStyle;
    // (undocumented)
    slideRightIn400: IRawStyle;
    // (undocumented)
    slideRightOut10: IRawStyle;
    // (undocumented)
    slideRightOut20: IRawStyle;
    // (undocumented)
    slideRightOut40: IRawStyle;
    // (undocumented)
    slideRightOut400: IRawStyle;
    // (undocumented)
    slideUpIn10: IRawStyle;
    // (undocumented)
    slideUpIn20: IRawStyle;
    // (undocumented)
    slideUpOut10: IRawStyle;
    // (undocumented)
    slideUpOut20: IRawStyle;
}

// @public (undocumented)
export interface IAnimationVariables {
    // (undocumented)
    durationValue1: string;
    // (undocumented)
    durationValue2: string;
    // (undocumented)
    durationValue3: string;
    // (undocumented)
    durationValue4: string;
    // (undocumented)
    easeFunction1: string;
    // (undocumented)
    easeFunction2: string;
}

// @public (undocumented)
export namespace IconFontSizes {
    const // (undocumented)
    xSmall: string;
    const // (undocumented)
    small: string;
    const // (undocumented)
    medium: string;
    const // (undocumented)
    large: string;
}

export { ICSPSettings }

// @public
export interface IEffects {
    elevation16: string;
    elevation4: string;
    elevation64: string;
    elevation8: string;
    roundedCorner2: string;
    roundedCorner4: string;
    roundedCorner6: string;
}

export { IFontFace }

// @public
export interface IFontStyles {
    // (undocumented)
    large: IRawStyle;
    // (undocumented)
    medium: IRawStyle;
    // (undocumented)
    mediumPlus: IRawStyle;
    // (undocumented)
    mega: IRawStyle;
    // (undocumented)
    small: IRawStyle;
    // (undocumented)
    smallPlus: IRawStyle;
    // (undocumented)
    superLarge: IRawStyle;
    // (undocumented)
    tiny: IRawStyle;
    // (undocumented)
    xLarge: IRawStyle;
    // @deprecated (undocumented)
    xLargePlus: IRawStyle;
    // (undocumented)
    xSmall: IRawStyle;
    // (undocumented)
    xxLarge: IRawStyle;
    // @deprecated (undocumented)
    xxLargePlus: IRawStyle;
}

export { IFontWeight }

// @public (undocumented)
export interface IGetFocusStylesOptions {
    borderColor?: string;
    highContrastStyle?: IRawStyle;
    inset?: number;
    isFocusedOnly?: boolean;
    outlineColor?: string;
    position?: 'relative' | 'absolute';
    width?: number;
}

// @public (undocumented)
export interface IIconOptions {
    disableWarnings: boolean;
    // @deprecated (undocumented)
    warnOnMissingIcons?: boolean;
}

// @public (undocumented)
export interface IIconRecord {
    // (undocumented)
    code: string | undefined;
    // (undocumented)
    subset: IIconSubsetRecord;
}

// @public (undocumented)
export interface IIconSubset {
    // (undocumented)
    fontFace?: IFontFace;
    // (undocumented)
    icons: {
        [key: string]: string | JSX.Element;
    };
    // (undocumented)
    style?: IRawStyle;
}

// @public (undocumented)
export interface IIconSubsetRecord extends IIconSubset {
    // (undocumented)
    className?: string;
    // (undocumented)
    isRegistered?: boolean;
}

export { InjectionMode }

// @public
export interface IPalette {
    accent: string;
    black: string;
    blackTranslucent40: string;
    blue: string;
    blueDark: string;
    blueLight: string;
    blueMid: string;
    green: string;
    greenDark: string;
    greenLight: string;
    magenta: string;
    magentaDark: string;
    magentaLight: string;
    neutralDark: string;
    neutralLight: string;
    neutralLighter: string;
    neutralLighterAlt: string;
    neutralPrimary: string;
    neutralPrimaryAlt: string;
    neutralQuaternary: string;
    neutralQuaternaryAlt: string;
    neutralSecondary: string;
    neutralSecondaryAlt: string;
    neutralTertiary: string;
    neutralTertiaryAlt: string;
    orange: string;
    orangeLight: string;
    orangeLighter: string;
    purple: string;
    purpleDark: string;
    purpleLight: string;
    red: string;
    redDark: string;
    teal: string;
    tealDark: string;
    tealLight: string;
    themeDark: string;
    themeDarkAlt: string;
    themeDarker: string;
    themeLight: string;
    themeLighter: string;
    themeLighterAlt: string;
    themePrimary: string;
    themeSecondary: string;
    themeTertiary: string;
    white: string;
    whiteTranslucent40: string;
    yellow: string;
    yellowDark: string;
    yellowLight: string;
}

// @public (undocumented)
export type IPartialTheme = {
    palette?: Partial<IPalette>;
    fonts?: Partial<IFontStyles>;
    defaultFontStyle?: IRawStyle;
    semanticColors?: Partial<ISemanticColors>;
    isInverted?: boolean;
    disableGlobalClassNames?: boolean;
    rtl?: boolean;
    spacing?: Partial<ISpacing>;
    effects?: Partial<IEffects>;
    schemes?: {
        [P in ISchemeNames]?: IScheme;
    };
};

export { IProcessedStyleSet }

export { IRawStyle }

// @public (undocumented)
export interface IScheme {
    disableGlobalClassNames: boolean;
    // (undocumented)
    effects: IEffects;
    // (undocumented)
    fonts: IFontStyles;
    // (undocumented)
    isInverted: boolean;
    // (undocumented)
    palette: IPalette;
    // (undocumented)
    rtl?: boolean;
    // (undocumented)
    semanticColors: ISemanticColors;
    // @internal
    spacing: ISpacing;
}

// Warning: (ae-internal-missing-underscore) The name "ISchemeNames" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal
export type ISchemeNames = 'default' | 'neutral' | 'soft' | 'strong';

// @public
export interface ISemanticColors extends ISemanticTextColors {
    accentButtonBackground: string;
    blockingBackground: string;
    blockingIcon: string;
    bodyBackground: string;
    bodyBackgroundChecked: string;
    bodyBackgroundHovered: string;
    bodyDivider: string;
    bodyFrameBackground: string;
    bodyFrameDivider: string;
    bodyStandoutBackground: string;
    buttonBackground: string;
    buttonBackgroundChecked: string;
    buttonBackgroundCheckedHovered: string;
    buttonBackgroundDisabled: string;
    buttonBackgroundHovered: string;
    buttonBackgroundPressed: string;
    buttonBorder: string;
    buttonBorderDisabled: string;
    cardShadow: string;
    cardShadowHovered: string;
    cardStandoutBackground: string;
    defaultStateBackground: string;
    disabledBackground: string;
    disabledBorder: string;
    errorBackground: string;
    errorIcon: string;
    focusBorder: string;
    infoBackground: string;
    infoIcon: string;
    inputBackground: string;
    inputBackgroundChecked: string;
    inputBackgroundCheckedHovered: string;
    inputBorder: string;
    inputBorderHovered: string;
    inputFocusBorderAlt: string;
    inputForegroundChecked: string;
    inputIcon: string;
    inputIconDisabled: string;
    inputIconHovered: string;
    inputPlaceholderBackgroundChecked: string;
    listBackground: string;
    listHeaderBackgroundHovered: string;
    listHeaderBackgroundPressed: string;
    listItemBackgroundChecked: string;
    listItemBackgroundCheckedHovered: string;
    listItemBackgroundHovered: string;
    listText: string;
    menuBackground: string;
    menuDivider: string;
    menuHeader: string;
    menuIcon: string;
    // @deprecated (undocumented)
    menuItemBackgroundChecked: string;
    menuItemBackgroundHovered: string;
    menuItemBackgroundPressed: string;
    menuItemText: string;
    menuItemTextHovered: string;
    messageLink: string;
    messageLinkHovered: string;
    primaryButtonBackground: string;
    primaryButtonBackgroundDisabled: string;
    primaryButtonBackgroundHovered: string;
    primaryButtonBackgroundPressed: string;
    primaryButtonBorder: string;
    severeWarningBackground: string;
    severeWarningIcon: string;
    smallInputBorder: string;
    successBackground: string;
    successIcon: string;
    variantBorder: string;
    variantBorderHovered: string;
    warningBackground: string;
    // @deprecated (undocumented)
    warningHighlight: string;
    warningIcon: string;
}

// @public (undocumented)
export interface ISemanticTextColors {
    accentButtonText: string;
    actionLink: string;
    actionLinkHovered: string;
    bodySubtext: string;
    bodyText: string;
    bodyTextChecked: string;
    buttonText: string;
    buttonTextChecked: string;
    buttonTextCheckedHovered: string;
    buttonTextDisabled: string;
    buttonTextHovered: string;
    buttonTextPressed: string;
    disabledBodySubtext: string;
    disabledBodyText: string;
    disabledSubtext: string;
    disabledText: string;
    errorText: string;
    inputPlaceholderText: string;
    inputText: string;
    inputTextHovered: string;
    link: string;
    linkHovered: string;
    listText: string;
    // @deprecated (undocumented)
    listTextColor: string;
    messageText: string;
    primaryButtonText: string;
    primaryButtonTextDisabled: string;
    primaryButtonTextHovered: string;
    primaryButtonTextPressed: string;
    // @deprecated (undocumented)
    successText: string;
    // @deprecated (undocumented)
    warningText: string;
}

// Warning: (ae-internal-missing-underscore) The name "ISpacing" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal
export interface ISpacing {
    // (undocumented)
    l1: string;
    // (undocumented)
    l2: string;
    // (undocumented)
    m: string;
    // (undocumented)
    s1: string;
    // (undocumented)
    s2: string;
}

export { IStyle }

export { IStyleSet }

export { IStyleSheetConfig }

// @public (undocumented)
export interface ITheme extends IScheme {
    // @internal
    schemes?: {
        [P in ISchemeNames]?: IScheme;
    };
}

export { keyframes }

// @public
export function loadTheme(theme: IPartialTheme, depComments?: boolean): ITheme;

export { mergeStyles }

export { mergeStyleSets }

// @public (undocumented)
export const normalize: IRawStyle;

// @public (undocumented)
export const noWrap: IRawStyle;

// @public (undocumented)
export const PulsingBeaconAnimationStyles: {
    continuousPulseAnimationDouble: typeof _continuousPulseAnimationDouble;
    continuousPulseAnimationSingle: typeof _continuousPulseAnimationSingle;
    createDefaultAnimation: typeof _createDefaultAnimation;
};

// @public (undocumented)
export function registerDefaultFontFaces(baseUrl: string): void;

// @public
export function registerIconAlias(iconName: string, mappedToName: string): void;

// @public
export function registerIcons(iconSubset: IIconSubset, options?: Partial<IIconOptions>): void;

// @public
export function registerOnThemeChangeCallback(callback: (theme: ITheme) => void): void;

// @public
export function removeOnThemeChangeCallback(callback: (theme: ITheme) => void): void;

// @public (undocumented)
export const ScreenWidthMaxLarge: number;

// @public (undocumented)
export const ScreenWidthMaxMedium: number;

// @public (undocumented)
export const ScreenWidthMaxSmall: number;

// @public (undocumented)
export const ScreenWidthMaxXLarge: number;

// @public (undocumented)
export const ScreenWidthMaxXXLarge: number;

// @public (undocumented)
export const ScreenWidthMinLarge = 640;

// @public (undocumented)
export const ScreenWidthMinMedium = 480;

// @public (undocumented)
export const ScreenWidthMinSmall = 320;

// @public (undocumented)
export const ScreenWidthMinUhfMobile = 768;

// @public (undocumented)
export const ScreenWidthMinXLarge = 1024;

// @public (undocumented)
export const ScreenWidthMinXXLarge = 1366;

// @public (undocumented)
export const ScreenWidthMinXXXLarge = 1920;

// @public
export function setIconOptions(options: Partial<IIconOptions>): void;

export { Stylesheet }

// @public (undocumented)
export const ThemeSettingName = "theme";

// @public
export function unregisterIcons(iconNames: string[]): void;

// @public (undocumented)
export namespace ZIndexes {
    const // (undocumented)
    Nav: number;
    const // @deprecated (undocumented)
    ScrollablePane: number;
    const // (undocumented)
    FocusStyle: number;
    const // (undocumented)
    Coachmark: number;
    const // (undocumented)
    Layer: number;
    const // (undocumented)
    KeytipLayer: number;
}


// Warnings were encountered during analysis:
//
// lib/interfaces/ITheme.d.ts:70:5 - (ae-incompatible-release-tags) The symbol "spacing" is marked as @public, but its signature references "ISpacing" which is marked as @internal
// lib/interfaces/ITheme.d.ts:72:5 - (ae-incompatible-release-tags) The symbol "schemes" is marked as @public, but its signature references "ISchemeNames" which is marked as @internal
// lib/styles/PulsingBeaconAnimationStyles.d.ts:6:5 - (ae-forgotten-export) The symbol "_continuousPulseAnimationDouble" needs to be exported by the entry point index.d.ts
// lib/styles/PulsingBeaconAnimationStyles.d.ts:7:5 - (ae-forgotten-export) The symbol "_continuousPulseAnimationSingle" needs to be exported by the entry point index.d.ts
// lib/styles/PulsingBeaconAnimationStyles.d.ts:8:5 - (ae-forgotten-export) The symbol "_createDefaultAnimation" needs to be exported by the entry point index.d.ts

// (No @packageDocumentation comment for this package)

```
